import React from 'react';
import { Field } from './index';
import { TextInput } from '../TextInput';
export default {
  component: Field,
  title: 'Forms/Field',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(Field, args, /*#__PURE__*/React.createElement(TextInput, {
    label: "Example text input",
    name: "example"
  }));
};
export var Default = Template.bind({});
Default.args = {
  hintText: 'Example hint text.',
  errors: [{
    error: 'Required'
  }]
};